#ifndef _H_REPORT
#define _H_REPORT

typedef enum e_EventType
{
    kNone = -1,
    kPlanning = 0,
    kCoding,
    kCompiling,
    kTesting,
    kPostmortem,
    kDesign
} tEventType;

typedef struct
{
    int         index;

    time_t       start;
    time_t       end;
    time_t       interruptionTime;
    tEventType   eventType;
    int          exclude;
    char        *description;

    Widget      containerWidget;
    Widget      checkbox;
    Widget      display;
    Widget      comment;
} tEvent;

void NewEvent(tEventType);
void CloseEvent(void);
void StartInterruption(void);
void EndInterruption(void);
void ResetEventLog(void);
void WriteEventLog(FILE *);

int SaveReport(char *);
void SaveTeXReport(char *);
void PrintReport(char *);
    
char ReadEventFile(char *);
char WriteEventFile(char *);

void SetEventLogFilename(char *);
char *GetEventLogFilename(void);

void ViewEventLogWindow(void);
void CreateEventLogWindow(Widget);

extern char gHaveEventLogFile;
extern char gEventLogIsDirty;

#endif
